Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server
Class AsyncContinuation.AsyncEventState

    java.lang.Object
      javax.servlet.AsyncEvent
          org.eclipse.jetty.server.AsyncContinuation.AsyncEventState

Enclosing class:
  AsyncContinuation

    public class AsyncContinuation.AsyncEventState

extends AsyncEvent

Constructor Summary
`AsyncContinuation.AsyncEventState(ServletContext context, ServletRequest request, ServletResponse response)`

Method Summary
`ServletContext` | `getDispatchContext()`
`java.lang.String` | `getPath()`
`ServletContext` | `getServletContext()`
`ServletContext` | `getSuspendedContext()`

Methods inherited from class javax.servlet.AsyncEvent
`getAsyncContext, getSuppliedRequest, getSuppliedResponse, getThrowable`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AsyncContinuation.AsyncEventState

    public AsyncContinuation.AsyncEventState(ServletContext context,
                                             ServletRequest request,
                                             ServletResponse response)

Method Detail

### getSuspendedContext

    public ServletContext getSuspendedContext()

### getDispatchContext

    public ServletContext getDispatchContext()

### getServletContext

    public ServletContext getServletContext()

### getPath

    public java.lang.String getPath()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.